Bug 174649 - [patch] Install desktop icon and update pkg-descr for games/freedroid
Summary: [patch] Install desktop icon and update pkg-descr for games/freedroid
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-23 03:00 UTC by Kevin Zheng
Modified: 2013-01-02 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.38 KB, patch)
2012-12-23 03:00 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2012-12-23 03:00:00 UTC
Install a desktop entry for games/freedroid. While here,
 - Trim Makefile header
 - Take maintainership
 - Update COMMENT and pkg-descr (with new WWW site)
 - Bump PORTREVISION

Fix: Apply the attached patch.

Patch attached with submission follows:
How-To-Repeat: Install the port.
Comment 1 dfilter service freebsd_committer 2013-01-02 19:32:48 UTC
Author: pawel
Date: Wed Jan  2 19:32:40 2013
New Revision: 309832
URL: http://svnweb.freebsd.org/changeset/ports/309832

Log:
  - Add desktop entry file
  - Update COMMENT, WWW
  - Give maintainership to submitter
  
  PR:		ports/174649
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com>

Modified:
  head/games/freedroid/Makefile
  head/games/freedroid/pkg-descr

Modified: head/games/freedroid/Makefile
==============================================================================
--- head/games/freedroid/Makefile	Wed Jan  2 19:11:41 2013	(r309831)
+++ head/games/freedroid/Makefile	Wed Jan  2 19:32:40 2013	(r309832)
@@ -1,24 +1,28 @@
-# New ports collection makefile for: criticalmass
-# Date created:		15 Sep 2003
-# Whom:			benlutz@datacomm.ch
-#
+# Created by: <benlutz@datacomm.ch>
 # $FreeBSD$
-#
 
 PORTNAME=	freedroid
 PORTVERSION=	1.0.2
-PORTREVISION=	13
+PORTREVISION=	14
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}Classic/FreedroidClassic-${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	Freedroid is a clone of the classic game "Paradroid"
+MAINTAINER=	kevinz5000@gmail.com
+COMMENT=	Clone of the Commodore game Paradroid
 
+LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
+		png15:${PORTSDIR}/graphics/png
+
+USE_ICONV=	yes
 USE_SDL=	mixer image sdl
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--program-transform-name=
 
+DESKTOP_ENTRIES=	"Freedroid Classic" "${COMMENT}" \
+			"${DATADIR}/graphics/999.png" \
+			"freedroid" "Game;ArcadeGame;" false
+
 MAN6=		freedroid.6
 
 post-extract:

Modified: head/games/freedroid/pkg-descr
==============================================================================
--- head/games/freedroid/pkg-descr	Wed Jan  2 19:11:41 2013	(r309831)
+++ head/games/freedroid/pkg-descr	Wed Jan  2 19:32:40 2013	(r309832)
@@ -1,12 +1,11 @@
-Freedroid is a clone of the classic game "Paradroid" on Commodore 64 with some
-improvements and extensions to the classic version. 
+Freedroid is a clone of the game "Paradroid" which was released on Commodore
+64 in 1985. In this game, you control a robot located within an interstellar
+spaceship consisting of several decks connected by elevators.
 
-In this game, you control a robot, depicted by a small white ball with a few
-numbers within an interstellar spaceship consisting of several decks connected
-by elevators. 
+The aim of the game is to destroy all enemy robots by either shooting them
+or seizing control over them by creating connections in a short subgame
+of electric circuits. The graphics are designed to be a fairly faithful
+reproduction of the original game, but a modern set of tiles is also
+available.
 
-The aim of the game is to destroy all enemy robots, depicted by small black
-balls with a few numbers, by either shooting them or seizing control over them
-by creating connections in a short subgame of electric circuits. 
-
-WWW: http://freedroid.sourceforge.net
+WWW: http://www.freedroid.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Pawel Pekala freebsd_committer 2013-01-02 19:33:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!